# Test if vector can be interpreted as roman numerals — possibly_roman • REDCapCAST
Test if vector can be interpreted as roman numerals

Skip to contents

# Test if vector can be interpreted as roman numerals

Source: `R/as_factor.R`
`possibly_roman.Rd`

Test if vector can be interpreted as roman numerals

## Usage

    possibly_roman(data)

## Arguments

data

  character vector

## Value

logical

## Examples

    sample(1:100, 10) |>
      as.roman() |>
      possibly_roman()
    #> [1] TRUE
    sample(c(TRUE, FALSE), 10, TRUE) |> possibly_roman()
    #> [1] FALSE
    rep(NA, 10) |> possibly_roman()
    #> [1] FALSE